Rerun Journey Application

This endpoint re-runs an application that has already been run through Alloy. It will be run through the currently active version of the Journey, and will default to re-using the same payload as the original, but does allow for the user to optionally alter that original payload.

The options for altering are the following:

  • Edit any of the payload information for any of the entities in the application by including, within an object in the entities array, the entity_token of the entity to be altered. Include any number of fields to be altered. Assign a value of null for any field you want to exclude.
  • Add any number of new entities to the application by including new entity objects in the payload.
  • Delete entire entities by putting these entity tokens to be deleted into an array called exclude_entity_tokens (at least one entity must remain).

Any of the below headers used with the original application will also be used here. To change the value of the header, include the updated value with this request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Token associated with your Journey

string
required

Token associated with your Journey Application

Query Params
string
enum

If this value is true, each event of type completed_evaluation in the array at response._embedded._events includes the full evaluation response.

Allowed:
Body Params
string

Optional, allows to set a different external identifier for the new Application. If not supplied, the value will be copied from the original Application (null if none had originally been provided). Supported characters are: a-zA-Z0-9_-

exclude_entity_tokens
array of strings

List of entity tokens to be deleted

exclude_entity_tokens
entities
array of objects

List of entities to be processed in this Application.

entities
application_meta
object

Optional, allows to provide additional metadata applied to all entities in the Application. If not supplied, the value will be copied from the original Application (null if none had originally been provided).

Headers
boolean

To run the application using Alloy's sandbox environment, set this header to true.

string

A comma separated list of services that should be run using Alloy's sandbox environment.

boolean

To refresh any cached responses from external services, set this header to true.

boolean

This endpoint returns an immediate asynchronous response by default. If you would like to override this behavior and get a synchronous response back, send the header alloy-journey-application-sync as true.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json